# Wallet Providers

Tomo Wallet exposes all functions to specific blockchain network through wallet providers. By default, we provide three commonly used providers for Bitcoin, EVM, and Solna.

To use different networks of Bitcoin or EVM chain, you need to configure the wallet provider accordingly:

```javascript
await bitcoinProvider.switchNetwork(network: Network) 

await evmProvider.swithChain(chainId: string)
```

In addition, one can configure the custom wallet provider to support new network by [contributing ](/tomo-sdk/tomo-web-sdk/wallet-providers/add-custom-wallets.md)to our SDK


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tomo.inc/tomo-sdk/tomo-web-sdk/wallet-providers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
